Package ch.qos.logback.access.pattern

# Class AccessConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<IAccessEvent>
ch.qos.logback.access.pattern.AccessConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `ContentLengthConverter`, `DateConverter`, `ElapsedSecondsConverter`, `ElapsedTimeConverter`, `FullRequestConverter`, `FullResponseConverter`, `LineSeparatorConverter`, `LocalIPAddressConverter`, `LocalPortConverter`, `NAConverter`, `QueryStringConverter`, `RemoteHostConverter`, `RemoteIPAddressConverter`, `RemoteUserConverter`, `RequestAttributeConverter`, `RequestContentConverter`, `RequestCookieConverter`, `RequestHeaderConverter`, `RequestMethodConverter`, `RequestParameterConverter`, `RequestProtocolConverter`, `RequestURIConverter`, `RequestURLConverter`, `ResponseContentConverter`, `ResponseHeaderConverter`, `ServerNameConverter`, `SessionIDConverter`, `StatusCodeConverter`, `ThreadNameConverter`

public abstract class AccessConverter extends DynamicConverter<IAccessEvent> implements ContextAware

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`QUESTION_CHAR`
`static final char`
`SPACE_CHAR`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`AccessConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addError(String msg)`
`void`
`addError(String msg, Throwable ex)`
`void`
`addInfo(String msg)`
`void`
`addInfo(String msg, Throwable ex)`
`void`
`addStatus(Status status)`
`void`
`addWarn(String msg)`
`void`
`addWarn(String msg, Throwable ex)`
`Context`
`getContext()`
`void`
`setContext(Context context)`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`getFirstOption, getOptionList, isStarted, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`convert, getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SPACE_CHAR

public static final char SPACE_CHAR

See Also:
  - Constant Field Values

### QUESTION_CHAR

public static final char QUESTION_CHAR

See Also:
  - Constant Field Values

## Constructor Details

### AccessConverter

public AccessConverter()

## Method Details

### setContext

public void setContext(Context context)

Specified by:
  `setContext` in interface `ContextAware`
Overrides:
  `setContext` in class `DynamicConverter<IAccessEvent>`

### getContext

public Context getContext()

Specified by:
  `getContext` in interface `ContextAware`
Overrides:
  `getContext` in class `DynamicConverter<IAccessEvent>`

### addStatus

public void addStatus(Status status)

Specified by:
  `addStatus` in interface `ContextAware`
Overrides:
  `addStatus` in class `DynamicConverter<IAccessEvent>`

### addInfo

public void addInfo(String msg)

Specified by:
  `addInfo` in interface `ContextAware`
Overrides:
  `addInfo` in class `DynamicConverter<IAccessEvent>`

### addInfo

public void addInfo(String msg, Throwable ex)

Specified by:
  `addInfo` in interface `ContextAware`
Overrides:
  `addInfo` in class `DynamicConverter<IAccessEvent>`

### addWarn

public void addWarn(String msg)

Specified by:
  `addWarn` in interface `ContextAware`
Overrides:
  `addWarn` in class `DynamicConverter<IAccessEvent>`

### addWarn

public void addWarn(String msg, Throwable ex)

Specified by:
  `addWarn` in interface `ContextAware`
Overrides:
  `addWarn` in class `DynamicConverter<IAccessEvent>`

### addError

public void addError(String msg)

Specified by:
  `addError` in interface `ContextAware`
Overrides:
  `addError` in class `DynamicConverter<IAccessEvent>`

### addError

public void addError(String msg, Throwable ex)

Specified by:
  `addError` in interface `ContextAware`
Overrides:
  `addError` in class `DynamicConverter<IAccessEvent>`